### Constructor

# SpiceClientGtk Display new_with_monitor

since: 0.13

#### Declaration [src]

    SpiceDisplay*
    spice_display_new_with_monitor (
      SpiceSession* session,
      gint channel_id,
      gint monitor_id
    )

#### Description [src]

Creates a new `SpiceDisplay` widget associated with the monitor id.

Available since: 0.13

#### Parameters

`session`

  Type: `SpiceSession`

  A `SpiceSession`.

  The data is owned by the caller of the function.

`channel_id`

  Type: `gint`

  The display channel ID to associate with `SpiceDisplay`.

`monitor_id`

  Type: `gint`

  The monitor id within the display channel.

#### Return value

Type: `SpiceDisplay`

A new `SpiceDisplay` widget.

The data is owned by the called function.